Bug 1307665 - js: FTBFS in rawhide
js: FTBFS in rawhide
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: js (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:39 EST by Fedora Release Engineering
Modified: 2016-03-07 16:41 EST (History)
2 users (show)

See Also:
Fixed In Version: js-1.8.5-24.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-07 16:41:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (128.45 KB, text/plain)
2016-02-13 16:40 EST, Fedora Release Engineering
no flags Details
root.log (82.98 KB, text/plain)
2016-02-13 16:40 EST, Fedora Release Engineering
no flags Details
state.log (605 bytes, text/plain)
2016-02-13 16:40 EST, Fedora Release Engineering
no flags Details
Fix FTBFS with C++11 (#1307665) (7.66 KB, patch)
2016-02-29 21:59 EST, Yaakov Selkowitz
no flags Details | Diff

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:39:58 EST
Your package js failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12826314

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:40:00 EST
Created attachment 1125059 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:40:01 EST
Created attachment 1125060 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:40:02 EST
Created attachment 1125061 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:49:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Yaakov Selkowitz 2016-02-25 11:26:35 EST
jsapi.cpp: In function 'JSIdArray* JS_Enumerate(JSContext*, JSObject*)':
jsapi.cpp:3988:16: error: cannot convert 'bool' to 'JSIdArray*' in return
         return false;
                ^~~~~

See "Cannot convert 'bool' to 'T*'" in https://gcc.gnu.org/gcc-6/porting_to.html
Comment 6 Yaakov Selkowitz 2016-02-29 21:59 EST
Created attachment 1131791 [details]
Fix FTBFS with C++11 (#1307665)

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13183585

Note You need to log in before you can comment on or make changes to this bug.